# $myhostname

Returns the local host name as rsyslog knows it.

This property belongs to the System Properties group.

Name:

  $myhostname

Category:

  System Properties

Type:

  string

## Description

The name of the current host as it knows itself (probably useful for filtering in a generic way).

## Usage

    template(name="example" type="list") {
        property(name="$myhostname")
    }

## See also

See rsyslog Properties for the category overview.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.